-- SPAS 12 simple shotgun
-- Rambo_6

temp2 = true

function onDrop()
	_EntEmitSound(Owner,"npc/overwatch/radiovoice/die"..math.random(1,3)..".wav")
	end

function onInit() 
_SWEPSetSound( MyIndex, "single_shot", "Weapon_M3.Single" )
 end

function getWeaponSwapHands() return true end
function getWeaponFOV()	return 74 end
function getWeaponSlot() return 1 end
function getWeaponSlotPos() return 2 end
function getFiresUnderwater() return true end
function getReloadsSingly() return true end
function getDamage() return 11 end
function getPrimaryShotDelay() return 0.95 end
function getPrimaryIsAutomatic() return false end
function getBulletSpread()
		return vector3(-0.221, 0.225, 0.225)
end
function getNumShotsPrimary() return 10 end
function getViewKick() return vector3(-4.6, 0.0, 0.0) end
function getViewKickRandom() return vector3(-0.68, 0.65, 0.65) end
function getViewModel() return "models/weapons/v_shot_m3super90.mdl" end
function getWorldModel() return "models/weapons/w_shotgun.mdl" end
function getClassName() return "weapon_spas" end
function getPrimaryAmmoType() return "Buckshot" end
function getSecondaryAmmoType() return "none" end
function getMaxClipPrimary() return 6 end
function getMaxClipSecondary() return -1 end
function getDefClipPrimary() return 30 end
function getDefClipSecondary() return -1 end
function getAnimPrefix() return "crossbow" end
function getPrintName() return "SPAS-12" end
function getPrimaryScriptOverride() return 0 end
function getSecondaryScriptOverride() return 3 end
function getDeathIcon() return "d_shotgun" end
